Reject an EOR quote
Rejects the quote of an EOR contract. Rejection is only accepted while the contract is in one of new, under_review, waiting_for_client_sign, waiting_for_eor_sign, waiting_for_employee_contract, waiting_for_employee_sign or awaiting_deposit_payment. Rejection is terminal — there is no public endpoint to un-reject a contract, and a contract already in rejected cannot be rejected again. The token must hold the contracts.edit permission on the contract.
Token scopes: contracts:write
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
contract_id
The unique identifier of the EOR contract.
Request
This endpoint expects an object.
data
Response
The quote was rejected successfully.
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error